Update a Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /dataflows/{dataflowId}

Update a Dataflow.

Path parameters

  • dataflowId string Required

    id of the Dataflow

application/json

Body

  • name string

    name of the Dataflow

  • description string

    description of the Dataflow

  • status number

    1 is for active, 0 is for inactive. By default, status is set to 1. In case of defective dataflow, it should be set to 0

  • autocleaniFormData boolean

    true/false

  • errorNotificationEmail string

    The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

  • enableErrorEmailNotifications string

    Indicates if the error email notifications will be enabled.

  • _id string

    the updated Dataflow Id

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • _id string

      the updated Dataflow Id

PUT /dataflows/{dataflowId}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
    "name": "new_dataflow",
    "description" : "dataflow description"
    "status" : 1,
    "autocleaniFormData" false
}'
Request example
{
    "name": "new_dataflow",
    "description" : "dataflow description"
    "status" : 1,
    "autocleaniFormData" false
}
Response examples (200)
{
  "_id": "5743cbbccd7b08254a5a6ec0"
}